.footer {
  background-color: black;
  padding: 38px 0 47px;
  text-align: center;

  &__heading {
    margin-bottom: 8px;
    @include text-style(14px, bold, #FEFEFE, uppercase, 22px);
  }

  &__text {
    margin-bottom: 26px;
    padding: 0 10px;
    @include text-style(12px, 400, $color-text-footer, none, 20px);

    .mobile-hidden {
      display: none;
    }
  }

  .socials-list {
    margin-bottom: 25px;

    & .fab,
    .fas {
      margin: 0 3px;
      width: 34px;
      height: 34px;
      line-height: 32px;
      border-radius: 50%;
      border-width: 2px;
      border-style: solid;
      font-size: 0.7em;
    }
    &__icon {
      &--rss {
        @include icon-style(#F8902E);
      }
      &--fb {
        @include icon-style(#39599F);
      }
      &--tw {
        @include icon-style(#45B0E3);
      }
      &--dribbble {
        @include icon-style(#D97AB0);
      }
      &--pint {
        @include icon-style(#CC212C);
      }
    }
  }

  &__contacts {
    margin: 0 50px;
    @include text-style(14px, 400, $color-text-footer, none, 24px)
  }
}

@include tablet {
  .footer {
    padding: 56px 0;

    &__heading {
      margin-bottom: 22px;
      font-size: 16px;
    }

    &__text {
      margin-bottom: 37px;
      padding: 0 10px;
      font-size: 16px;
      line-height: 28px;

      .mobile-hidden {
        display: inline;
      }
    }

    .socials-list {
      margin-bottom: 34px;
    }

    &__contacts {
      font-size: 16px;
    }
  }
}

@include desktop {
  .footer {
    padding: 70px 0;

    &__text {
      padding: 0 200px;
    }
  }
}